반응형



Ubuntu 20.04 / 18.04에 크롬 웹 브라우저를 설치하는 방법을 설명합니다. 



2018. 5. 20 최초 작성

2020. 7. 11 Ubuntu 20.04에서 동작 확인




크롬 웹 브라우저 패키지를 설치하기 위해 필요한 인증키를 등록합니다. 


wget -q -O - https://dl-ssl.google.com/linux/linux_signing_key.pub | sudo apt-key add -


webnautes@webnautes-pc:~$ wget -q -O - https://dl-ssl.google.com/linux/linux_signing_key.pub | sudo apt-key add -
[sudo] webnautes의 암호:
OK




크롬 웹 브라우저 패키지를 다운로드 받을 PPA를 sources.list.d에 추가합니다. 


sudo sh -c 'echo "deb [arch=amd64] http://dl.google.com/linux/chrome/deb/ stable main" >> /etc/apt/sources.list.d/google.list'


webnautes@webnautes-pc:~$ sudo sh -c 'echo "deb [arch=amd64] http://dl.google.com/linux/chrome/deb/ stable main" >> /etc/apt/sources.list.d/google.list'
webnautes@webnautes-pc:~$




추가한 PPA로부터 설치 가능할 크롬 웹브라우저 패키지 정보를 가져오기 위해 패키지 리스트를 업데이트합니다.


sudo apt-get update




이제 크롬 웹 브라우저를 설치 할 수 있습니다


sudo apt-get install google-chrome-stable




설치 이후 확인해보면, 자동으로 생성된 google-chrome.list 파일이 보입니다.


webnautes@webnautes-pc:~$ ls /etc/apt/sources.list.d/google*
/etc/apt/sources.list.d/google-chrome.list  /etc/apt/sources.list.d/google.list




패키지 리스트 업데이트 시(apt-get update)  다음과 같은 에러가 발생할 수 있기 때문에 


W: Target Packages (main/binary-amd64/Packages) is configured multiple times in /etc/apt/sources.list.d/google-chrome.list:3 and /etc/apt/sources.list.d/google.list:1




설치를 위해 생성했던 파일은 다음처럼 지워줘야 합니다. 


sudo rm -rf /etc/apt/sources.list.d/google.list


webnautes@webnautes-pc:~$ sudo rm -rf /etc/apt/sources.list.d/google.list




프로그램 표시 아이콘을 클릭한 후,





검색창에 chrome을 입력하여 크롬 웹브라우저를 실행시킬 수 있습니다. 









반응형

포스트 작성시에는 문제 없었지만 이후 문제가 생길 수 있습니다.
댓글로 알려주시면 빠른 시일내에 답변을 드리겠습니다.

여러분의 응원으로 좋은 컨텐츠가 만들어집니다.
지금 본 내용이 도움이 되었다면 유튜브 구독 부탁드립니다. 감사합니다 : )

유튜브 구독하기


제가 쓴 책도 한번 검토해보세요.

  1. sax99 2018.12.26 18:53

    많은 도음 되었어요. 고맙습니다

  2. 101010 2020.03.19 01:40

    감사합니다

  3. Uni 2020.03.29 22:11

    고맙습니다 정말 간만에 우분투를 깔았는데 크롬 설치가 안되서 찾던 중 이곳에서 정보를 찾고 설ㅊㅣ까지 잘 했습니다^^

  4. aire 2020.07.14 23:10

    wget 명령어가 들어간 코드를 쳤는데 gpg: can't connect to the agent: IPC connect call failed. 라고 뜨네요 ㅠㅠ

    • BlogIcon aire 2020.07.14 23:56

      제가 WSL에서 ubuntu20.04를 돌리는데 찾아보니 아직 WSL은 20.04와 incompatible하다고 하네요 ㅠ 18.04로 다운그레이드 하니 됩니다 감사합니다

    • Favicon of https://webnautes.tistory.com BlogIcon webnautes 2020.07.15 10:21 신고

      해결되서 다행입니다

+ Recent posts